javax.faces.webapp

## Class UIComponentBodyTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentTag
      - - javax.faces.webapp.UIComponentBodyTag

- All Implemented Interfaces:
    BodyTag, IterationTag, JspIdConsumer, JspTag, Tag

  Deprecated.
  All component tags now implement `BodyTag`. This class has been replaced by `UIComponentELTag`.

      public abstract class UIComponentBodyTag
      extends UIComponentTag

  UIComponentBodyTag is a base class for all JSP custom actions, related to a UIComponent, that need to process their tag bodies.

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from class javax.faces.webapp.UIComponentTagBase

      `log`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIComponentBodyTag()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class javax.faces.webapp.UIComponentTag

      `createComponent, getParentUIComponentTag, hasBinding, isSuppressed, isValueReference, release, setBinding, setProperties, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class javax.faces.webapp.UIComponentTagBase

      `getComponentType, getELContext, getRendererType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### UIComponentBodyTag

          public UIComponentBodyTag()

      Deprecated.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.